#ゴールの表示とかシステム系
scoreboard players set time20 time 20
scoreboard players set time60 time 60
scoreboard players set time100 time 100
execute if entity @e[name=system,tag=game] run function soccer_game

#ゴール後16秒感インタ―バル
execute if entity @e[name=system,tag=goal] run function soccer_goaltime



#プレイヤースコア付け
execute as @e[type=!ny:bound,type=!ny:soccerball,type=!ny:soccerball_inv,tag=!soccer_login2] run function soccer_login

#ビブスでチーム分け
scoreboard players set @e[tag=!soccer] soccer_team 0
scoreboard players set @e[tag=!soccer,hasitem=[{item=ny:team_red,location=slot.armor.chest}]] soccer_team 1
scoreboard players set @e[tag=!soccer,hasitem=[{item=ny:team_blue,location=slot.armor.chest}]] soccer_team 2

#プレイヤー技タグ消し
tag @a[hasitem=[{item=ny:keeper,quantity=0,location=slot.weapon.mainhand}]] remove keeper
execute as @a[scores={soccer_team=1}] at @s unless block ~ -61 ~ concrete 14 run tag @s remove keeper
execute as @a[scores={soccer_team=2}] at @s unless block ~ -61 ~ concrete 11 run tag @s remove keeper
tag @a remove dr
tag @a remove pass
tag @a remove shoot
#プレイヤー技タグ付け
tag @e[type=armor_stand] add keeper
tag @a[tag=!spc,hasitem=[{item=ny:dribble,location=slot.weapon.mainhand}]] add dr
tag @a[tag=!spc,hasitem=[{item=ny:pass,location=slot.weapon.mainhand}]] add pass
tag @a[tag=!spc,hasitem=[{item=ny:shoot,location=slot.weapon.mainhand}]] add shoot
tag @a[tag=!spc,scores={soccer_team=0},hasitem=[{item=ny:keeper,location=slot.weapon.mainhand}]] add keeper
execute as @a[tag=!spc,scores={soccer_team=1},hasitem=[{item=ny:keeper,location=slot.weapon.mainhand}]] at @s if block ~ -61 ~ concrete 14 unless entity @a[scores={soccer_team=1},tag=keeper] run tag @s add keeper
execute as @a[tag=!spc,scores={soccer_team=2},hasitem=[{item=ny:keeper,location=slot.weapon.mainhand}]] at @s if block ~ -61 ~ concrete 11 unless entity @a[scores={soccer_team=2},tag=keeper] run tag @s add keeper
effect @e[tag=keeper] fire_resistance 10 10 true
effect @e[tag=!keeper] fire_resistance 0 0 true
#プレイヤー技の表示
execute as @a[tag=pass] unless entity @s[rx=-22] run title @s actionbar §l§aPASS
execute as @a[tag=pass,rx=-22] run title @s actionbar §l§aBACK PASS
execute as @a[tag=dr] unless entity @s[rx=0] run title @s actionbar §l§bDRIBBLE
execute as @a[tag=dr,rx=0] run title @s actionbar §l§bHEEL LIFT
execute as @a[tag=shoot] unless entity @s[rxm=-20] run title @s actionbar §l§cLOOP SHOOT
execute as @a[tag=shoot,rxm=-20] run title @s actionbar §l§cSHOOT
execute as @a[tag=keeper] run title @s actionbar §l§eKEEPER
execute as @a[scores={soccer_team=1},hasitem=[{item=ny:keeper,location=slot.weapon.mainhand}]] at @s unless block ~ -61 ~ concrete 14 run title @s actionbar §l§cXX Outside penalty area! XX
execute as @a[scores={soccer_team=2},hasitem=[{item=ny:keeper,location=slot.weapon.mainhand}]] at @s unless block ~ -61 ~ concrete 11 run title @s actionbar §l§cXX Outside penalty area! XX
execute as @a[tag=!keeper,scores={soccer_team=1},hasitem=[{item=ny:keeper,location=slot.weapon.mainhand}]] at @s if block ~ -61 ~ concrete 14 run title @s actionbar §l§cXX Keeper already exist! XX
execute as @a[tag=!keeper,scores={soccer_team=2},hasitem=[{item=ny:keeper,location=slot.weapon.mainhand}]] at @s if block ~ -61 ~ concrete 11 run title @s actionbar §l§cXX Keeper already exist! XX

#ゴールのパーティクル
particle ny:goal_line1 55 -57.5 -61.0
particle ny:goal_line2 55 -57.5 60.0
particle ny:line 86.0 -57.5 -0.5
particle ny:line 25.0 -57.5 -0.5

#観戦処理
execute as @a[tag=!spc] at @s if block ~~-1~ wool 5 run tag @s add spc
execute if entity @e[name=system,tag=game] as @a[tag=!spc,scores={soccer_team=0},x=25,y=-59,z=-61,dx=60,dy=100000,dz=120] run tag @s add spc
execute as @a[tag=spc] at @s if block ~~~ purpur_stairs run gamemode a @s
execute as @a[tag=spc] at @s if block ~~~ purpur_stairs run tag @s remove spc
gamemode spectator @a[tag=spc]


#メイン処理
execute if entity @e[tag=soccer] run function soccer1
execute if entity @e[tag=soccer] run function soccer1


