#配布マップ用
#シュート処理
execute at @e[tag=soccer,type=ny:soccerball] if entity @e[tag=game] if block ~ -60 ~ concrete 14 if block ~ -60 ~0.4 concrete 14 as @e[name=soccer_y] if score @s soccer = @e[tag=soccer,type=ny:soccerball,c=1] soccer run tag @s add soccer_kill
execute as @e[name=soccer_y,tag=soccer_kill] run function soccer_goal1
kill @e[name=soccer_y,tag=soccer_kill]
execute at @e[tag=soccer,type=ny:soccerball] if entity @e[tag=game] if block ~ -60 ~ concrete 11 if block ~ -60 ~-0.4 concrete 11 as @e[name=soccer_y] if score @s soccer = @e[tag=soccer,type=ny:soccerball,c=1] soccer run tag @s add soccer_kill
execute as @e[name=soccer_y,tag=soccer_kill] run function soccer_goal2
kill @e[name=soccer_y,tag=soccer_kill]

#パス
execute as @e[name=soccer_xz] at @s run scoreboard players operation @r[tag=!soccer,type=!ny:bound,tag=pass,y=~-300,r=0.75] soccer = @s soccer
execute as @e[tag=!soccer,type=!ny:bound,tag=pass,scores={soccer=0..}] at @e[name=soccer_xz] if score @s soccer = @e[name=soccer_xz,c=1] soccer run function soccer_type_pass

#ループシュート
execute as @e[name=soccer_xz] at @s run scoreboard players operation @r[tag=!soccer,type=!ny:bound,tag=shoot,rx=-22,y=~-300,r=0.75] soccer = @s soccer
execute as @e[tag=!soccer,type=!ny:bound,rx=-22,tag=shoot,scores={soccer=0..}] at @e[name=soccer_xz] if score @s soccer = @e[name=soccer_xz,c=1] soccer run function soccer_type_shoot2

#シュート
execute as @e[name=soccer_xz] at @s run scoreboard players operation @r[tag=!soccer,type=!ny:bound,tag=shoot,rxm=-22,y=~-300,r=0.75] soccer = @s soccer
execute as @e[tag=!soccer,type=!ny:bound,rxm=-22,tag=shoot,scores={soccer=0..}] at @e[name=soccer_xz] if score @s soccer = @e[name=soccer_xz,c=1] soccer run function soccer_type_shoot

#ヒールリフト
execute as @e[name=soccer_xz] at @s run scoreboard players operation @r[tag=!soccer,type=!ny:bound,tag=dr,rx=0,y=~-300,r=0.6] soccer = @s soccer
execute as @e[tag=!soccer,type=!ny:bound,tag=dr,rx=0,scores={soccer=0..}] at @e[name=soccer_xz] if score @s soccer = @e[name=soccer_xz,c=1] soccer run function soccer_type_dr2
#ドリブル
execute as @e[name=soccer_xz] at @s run scoreboard players operation @r[tag=!soccer,type=!ny:bound,tag=dr,rxm=0,y=~-300,r=0.6] soccer = @s soccer
execute as @e[name=soccer_xz] at @s run scoreboard players operation @r[tag=!soccer,type=!ny:bound,tag=dr,rxm=0,y=~-300.67,r=0.6] soccer = @s soccer
execute as @e[name=soccer_xz] at @s run scoreboard players operation @r[tag=!soccer,type=!ny:bound,tag=dr,rxm=0,y=~-301.34,r=0.6] soccer = @s soccer
execute as @r[tag=!soccer,type=!ny:bound,tag=dr,rxm=0,c=100,scores={soccer=0..}] at @e[name=soccer_xz] if score @s soccer = @e[name=soccer_xz,c=1] soccer run function soccer_type_dr

#キーパー
execute as @e[name=soccer_xz] at @s run scoreboard players operation @r[tag=!soccer,type=!ny:bound,tag=keeper,y=~-300,r=0.7] soccer = @s soccer
execute as @e[name=soccer_xz] at @s run scoreboard players operation @r[tag=!soccer,type=!ny:bound,tag=keeper,y=~-300.67,r=0.7] soccer = @s soccer
execute as @e[name=soccer_xz] at @s run scoreboard players operation @r[tag=!soccer,type=!ny:bound,tag=keeper,y=~-301.34,r=0.7] soccer = @s soccer
execute as @r[tag=!soccer,type=!ny:bound,tag=keeper,c=100,scores={soccer=0..}] at @e[name=soccer_xz] if score @s soccer = @e[name=soccer_xz,c=1] soccer run function soccer_type_keeper

scoreboard players reset @e[tag=!soccer,tag=!bound] soccer
#アシストの処理
scoreboard players add @e[tag=soccer] soccer_p1 0
execute as @e[tag=soccer] unless score @s soccer_p = @s soccer_p1 run scoreboard players reset @s time
execute as @e[tag=soccer] if score @s soccer_p = @s soccer_p1 run scoreboard players add @s time 1
execute as @e[tag=soccer,scores={time=320..}] if score @s soccer_p = @s soccer_p1 run scoreboard players operation @s soccer_p2 = @s soccer_p1
scoreboard players reset @e[tag=soccer,scores={time=320..}] time
execute as @e[tag=soccer] unless score @s soccer_p = @s soccer_p1 run scoreboard players operation @s soccer_p2 = @s soccer_p1
execute as @e[tag=soccer] unless score @s soccer_p = @s soccer_p1 run scoreboard players operation @s soccer_p1 = @s soccer_p
#シュート一定時間で弱
execute as @e[name=soccer_xz,rxm=60] at @s as @e[tag=soccer,type=ny:soccerball] if score @s soccer = @e[name=soccer_xz,c=1] soccer run scoreboard players set @s[scores={soccer_type=3}] soccer_type 1



#サッカーボール関係
#xz平面と移動
tag @e remove no_move
execute as @e[name=soccer_xz,rxm=88] at @s as @e[name=soccer_y,rx=4] if score @s soccer = @e[name=soccer_xz,rxm=88,c=1] soccer at @s unless block ~ ~-300.1~ air run tag @s add no_move
execute as @e[name=soccer_y,tag=!no_move] at @e[name=soccer_xz,rx=88] if score @s soccer = @e[name=soccer_xz,rx=88,c=1] soccer positioned ^ ^ ^0.499 rotated ~180 ~ positioned ^ ^ ^-0.499 positioned ~ ~-300~ if block ~~0.5~ air positioned ~ ~300~ run tp @s ~ ~ ~
#y軸方向の移動
execute as @e[name=soccer_y] at @s positioned ^ ^ ^0.499 rotated ~180 ~ positioned ^ ^ ^0.499 if block ~ ~-300~ air run tp @s ~ ~ ~
execute at @e[name=soccer_y] as @e[name=soccer_xz] if score @s soccer = @e[name=soccer_y,c=1] soccer run tp @s ~ ~ ~
#埋まったら挙げる
execute at @e[tag=soccer,type=ny:soccerball] unless block ~ ~ ~ air as @e[tag=soccer,type=ny:soccerball_inv] if score @s soccer = @e[tag=soccer,type=ny:soccerball,c=1] soccer at @s run tp @s ~ ~0.05 ~
execute at @e[tag=soccer,type=ny:soccerball] unless block ~0.3 ~0.5 ~ air as @e[tag=soccer,type=ny:soccerball_inv] if score @s soccer = @e[tag=soccer,type=ny:soccerball,c=1] soccer at @s run tp @s ~-0.08 ~ ~
execute at @e[tag=soccer,type=ny:soccerball] unless block ~-0.3 ~0.5 ~ air as @e[tag=soccer,type=ny:soccerball_inv] if score @s soccer = @e[tag=soccer,type=ny:soccerball,c=1] soccer at @s run tp @s ~0.08 ~ ~
execute at @e[tag=soccer,type=ny:soccerball] unless block ~ ~0.5 ~0.3 air as @e[tag=soccer,type=ny:soccerball_inv] if score @s soccer = @e[tag=soccer,type=ny:soccerball,c=1] soccer at @s run tp @s ~ ~ ~-0.08
execute at @e[tag=soccer,type=ny:soccerball] unless block ~ ~0.5 ~-0.3 air as @e[tag=soccer,type=ny:soccerball_inv] if score @s soccer = @e[tag=soccer,type=ny:soccerball,c=1] soccer at @s run tp @s ~ ~ ~0.08

#反射
#x軸方向壁の反射
execute as @e[name=soccer_xz] at @s[rx=88] positioned 0 0 0 positioned ^ ^ ^2 rotated ~180 ~ positioned ^ ^ ^-2 positioned ~ ~ 0 positioned ^ ^ ^1 rotated as @s positioned ^ ^ ^-1 facing 0 0 0 positioned as @s positioned ^ ^ ^-0.499 rotated as @s positioned ^ ^ ^0.499 positioned ~ ~-300 ~ unless block ~ ~0.6 ~ air at @s as @e[name=soccer_y,tag=!no_move] if score @s soccer = @e[name=soccer_xz,c=1] soccer run tag @s add soccer_hx
execute as @e[name=soccer_xz] at @s[rx=88] positioned 0 0 0 positioned ^ ^ ^2 rotated ~180 ~ positioned ^ ^ ^-2 positioned ~ ~ 0 positioned ^ ^ ^1 rotated as @s positioned ^ ^ ^-1 facing 0 0 0 positioned as @s positioned ^ ^ ^-0.499 rotated as @s positioned ^ ^ ^0.499 positioned ~ ~-300 ~ unless block ~ ~1.2 ~ air at @s as @e[name=soccer_y,tag=!no_move] if score @s soccer = @e[name=soccer_xz,c=1] soccer run tag @s add soccer_hx
execute as @e[tag=soccer_hx] at @s as @e[name=soccer_xz] if score @s soccer = @e[tag=soccer_hx,c=1] soccer at @s positioned 0 0 0 positioned ^ ^ ^2 positioned 0 ~ ~ positioned ^ ^ ^-1 facing 0 0 0 facing ^ ^ ^-1 positioned as @s run tp @s ~ ~ ~ ~ ~
#z軸方向壁の反射
execute as @e[name=soccer_xz] at @s[rx=88] positioned 0 0 0 positioned ^ ^ ^2 rotated ~180 ~ positioned ^ ^ ^-2 positioned 0 ~ ~ positioned ^ ^ ^1 rotated as @s positioned ^ ^ ^-1 facing 0 0 0 positioned as @s positioned ^ ^ ^-0.499 rotated as @s positioned ^ ^ ^0.499 positioned ~ ~-300 ~ unless block ~ ~0.6 ~ air at @s as @e[name=soccer_y,tag=!no_move] if score @s soccer = @e[name=soccer_xz,c=1] soccer run tag @s add soccer_hz
execute as @e[name=soccer_xz] at @s[rx=88] positioned 0 0 0 positioned ^ ^ ^2 rotated ~180 ~ positioned ^ ^ ^-2 positioned 0 ~ ~ positioned ^ ^ ^1 rotated as @s positioned ^ ^ ^-1 facing 0 0 0 positioned as @s positioned ^ ^ ^-0.499 rotated as @s positioned ^ ^ ^0.499 positioned ~ ~-300 ~ unless block ~ ~1.2 ~ air at @s as @e[name=soccer_y,tag=!no_move] if score @s soccer = @e[name=soccer_xz,c=1] soccer run tag @s add soccer_hz
execute as @e[tag=soccer_hz] at @s as @e[name=soccer_xz] if score @s soccer = @e[tag=soccer_hz,c=1] soccer at @s positioned 0 0 0 positioned ^ ^ ^2 positioned ~ ~ 0 positioned ^ ^ ^-1 facing 0 0 0 facing ^ ^ ^-1 positioned as @s run tp @s ~ ~ ~ ~ ~
#y軸方向床の反射
execute as @e[name=soccer_y,rx=4] at @s positioned ^ ^ ^0.499 rotated ~180 ~ positioned ~ ~-300~ unless block ^ ^ ^0.499 air positioned ~ ~300 ~ at @s run tp @s ~ ~ ~ ~ 0
execute as @e[name=soccer_y] at @s unless block ~ ~-299.8 ~ air run tag @s add soccer_hy
execute as @e[name=soccer_y] unless entity @s[rx=0,rxm=0] at @s positioned ^ ^ ^0.499 rotated ~180 ~ positioned ~ ~-300~ unless block ^ ^ ^0.499 air run tag @s add soccer_hy
execute as @e[tag=soccer_hy] at @s rotated ~180 ~ facing ^ ^ ^-1 run tp @s ~ ~ ~ ~ ~
#反射したら威力下げる
execute as @e[name=soccer_y] unless entity @s[tag=!soccer_hx,tag=!soccer_hz,tag=!soccer_hy] run tag @s add bound_ok
execute if entity @e[tag=bound_ok] run function soccer_bound
tag @e remove soccer_hx_ok
tag @e remove soccer_hz_ok

#重力
execute as @e[name=soccer_y] at @s positioned ^ ^ ^1 positioned ~ ~-0.015~ facing entity @s feet facing ^ ^ ^-1 positioned as @s run tp @s ~ ~ ~ ~ ~
#空気抵抗，摩擦
execute as @e[name=soccer_xz,rx=89] at @s at @e[name=soccer_y,c=1] positioned ^ ^ ^0.499 rotated ~180 ~ positioned ^ ^ ^0.499 if block ~ ~-300~ air at @s positioned ^ ^ ^1 rotated as @s rotated ~ 0 positioned ^ ^ ^-0.001 facing entity @s feet facing ^ ^ ^-1 positioned as @s run tp @s ~ ~ ~ ~ ~
execute as @e[name=soccer_xz,rx=89] at @s at @e[name=soccer_y,c=1] positioned ^ ^ ^0.499 rotated ~180 ~ positioned ^ ^ ^0.499 unless block ~ ~-300~ air at @s positioned ^ ^ ^1 rotated as @s rotated ~ 0 positioned ^ ^ ^-0.004 facing entity @s feet facing ^ ^ ^-1 positioned as @s run tp @s ~ ~ ~ ~ ~

#弾の回転
execute as @e[tag=soccer,type=ny:soccerball] at @s if block ~~-0.499~ air run event entity @s off_ground
execute as @e[tag=soccer,type=ny:soccerball] at @s unless block ~~-0.499~ air run event entity @s on_ground
